Subject: [Sip] Regarding non-INVITE server transaction

From: [email-masked]
Date: Mon, 24 Jul 2006 20:08:13 +0530

Hi,
        If the non-IST doesn't receive any RESPONSE message then what will 
happen?
RFC 3261 (in Figure 8: non-INVITE server transaction ) doesn't mention 
properly 
what will happen if the  non-IST doesn't receive any provisional 
response/final response.
 
Regards,
S.Kingston Smiler.

***********************  FSS-Unclassified   ***********************

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Valentin Nechayev <[email-masked]>
Date: Tue, 25 Jul 2006 01:54:36 -0700

> what will happen if the  non-IST doesn't receive any provisional 

==={{{
8.1.3.1 Transaction Layer Errors

   In some cases, the response returned by the transaction layer will
   not be a SIP message, but rather a transaction layer error.  When a
   timeout error is received from the transaction layer, it MUST be
   treated as if a 408 (Request Timeout) status code has been received.
   If a fatal transport error is reported by the transport layer
   (generally, due to fatal ICMP errors in UDP or connection failures in
   TCP), the condition MUST be treated as a 503 (Service Unavailable)
   status code.
===}}}

-- 
Valentin Nechayev
PortaOne Inc., Software Engineer
mailto:[email-masked]

---

From: Manjunath Warad <[email-masked]>
Date: Tue, 25 Jul 2006 17:07:55 +0800

Hi,
	Below mentioned behaviour is for client transaction, not for
server transaction.

Rgds,
Manju

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Valentin
Nechayev
Sent: Tuesday, July 25, 2006 4:55 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [Sip-implementors] Regarding non-INVITE server transaction

 Mon, Jul 24, 2006 at 20:08:13, Kingston.Smiler wrote about

==={{{

-- 
Valentin Nechayev
PortaOne Inc., Software Engineer
mailto:[email-masked]
_______________________________________________
Sip-implementors mailing list
[email-masked]
https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors

---

From: [email-masked]
Date: Tue, 25 Jul 2006 18:20:21 +0530

Hi,
        I agree with Stephen because it is not a problem in non - IST; 
This is generic to non-IST as well as IST. 

But consider a scenario like this 

UAC of        UAS of                     UAS of UE2
      UE1                proxy 
 |              |      |                        |
 |         non-INV      |      |     non-INV            |
 |--------------------->|      |---------------------------->|
 |              |      |                2xx     |
 |              |      |                *<---------------|
 |              |      |                        |
                    UAC of 
                                     Proxy

         Here UAS of UE2 is re-transmitting the 2xx message toward proxy.
But the message that has been sent by UAS of UE2 hasn't reached UAC of 
proxy
(due to network breakage or some other means). So the proxy core (TU) 
doesn't 
send the response to UAS of proxy.  In this case how will UAS txn of proxy 
can be released.

Regards,
S.Kingston Smiler.

Stephen Zhou <[email-masked]> 
07/25/2006 03:21 PM

To
"'Manjunath Warad'" <[email-masked]>, [email-masked], 
Kingston Smiler/BLR/HSS@HSS
cc
[email-masked], [email-masked]
Subject
RE: [Sip] RE: [Sip-implementors] Regarding non-INVITE   servertransaction

Hi,

Manjunath is right.

We MUST assume the communication between TU layer and transation lay in a
sip stack  is reliable. If there have problems, I thinks this is program
problem rather than protocol(transaction layer) problem. 
Additionally, the same issue exist in IST, if the IST cann't receive the
responses from TU.

BR,
Stephen
-----Original Message-----
From: Manjunath Warad [mailto:[email-masked]] 
Sent: Tuesday, July 25, 2006 5:08 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [Sip] RE: [Sip-implementors] Regarding non-INVITE server
transaction

Hi,
                 Below mentioned behaviour is for client transaction, not 
for
server transaction.

Rgds,
Manju

-----Original Message-----

==={{{

---

From: Stephen Zhou <[email-masked]>
Date: Tue, 25 Jul 2006 17:51:27 +0800

Hi,

Manjunath is right.

BR,
Stephen
-----Original Message-----
From: Manjunath Warad [mailto:[email-masked]] 
Sent: Tuesday, July 25, 2006 5:08 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [Sip] RE: [Sip-implementors] Regarding non-INVITE server
transaction

Hi,

Rgds,
Manju

-----Original Message-----

==={{{

---

From: Somesh S Shanbhag <[email-masked]>
Date: Mon, 24 Jul 2006 08:48:37 -0700 (PDT)

Hi Kingston,
  
  RFC 3261 section 8.2.6.1 suggests the following ...

   One largely non-method-specific guideline for the generation of
   responses is that UASs SHOULD NOT issue a provisional response for a
   non-INVITE request.  Rather, UASs SHOULD generate a final response to
   a non-INVITE request as soon as possible.

   When a 100 (Trying) response is generated, any Timestamp header field
   present in the request MUST be copied into this 100 (Trying)
   response.  If there is a delay in generating the response, the UAS
   SHOULD add a delay value into the Timestamp value in the response.
   This value MUST contain the difference between the time of sending of
   the response and receipt of the request, measured in seconds.

So, Its expected that the UAS respond to non-INVITE requests
immediately with preferably a final response and not a
provisional response...

So, I think if the case that you have mentioned takes place I think
Transaction User (TU) must take care and Transaction Layer
shall remain un-noticed ....

Thanks & Regards,
Somesh S. Shanbhag

[email-masked] wrote:  Hi,
        If the non-IST doesn't receive any RESPONSE message then what will 
happen?
RFC 3261 (in Figure 8: non-INVITE server transaction ) doesn't mention 
properly 
what will happen if the  non-IST doesn't receive any provisional 
response/final response.
 
Regards,
S.Kingston Smiler.

-----------------------------------------
SIMPLICITY IS THE BEAUTY.
BE NATURAL LIVE NATURAL.
-----------------------------------------
Somesh S. Shanbhag
Focus Area - VoIP Team (FA-VoIP)
Mascon Global Limited
#59/2, 100Ft Ring Road
Banashankari II stage
Bangalore-560070
Karnataka
INDIA
Website: http://www.mgl.com/
-----------------------------------------
 		
---------------------------------
Do you Yahoo!?
 Next-gen email? Have it all with the  all-new Yahoo! Mail Beta.

---

From: Stephen Zhou <[email-masked]>
Date: Wed, 26 Jul 2006 09:23:18 +0800

Hi Kingston,

Timer C. See section 16.8 of rfc3261.

BR,

Stephen

  _____  

From: [email-masked]
[mailto:[email-masked]] 
Sent: Tuesday, July 25, 2006 8:50 PM
To: Stephen Zhou
Cc: 'Manjunath Warad'; [email-masked]; [email-masked];
[email-masked]
Subject: RE: [Sip] RE: [Sip-implementors] Regarding non-INVITE
servertransaction

Hi,

UAC of        UAS of                     UAS of UE2 
      UE1                 proxy                 
 |                |      |                        | 
 |         non-INV        |      |     non-INV                | 

         Here UAS of UE2 is re-transmitting the 2xx message toward proxy. 
But the message that has been sent by UAS of UE2 hasn't reached UAC of proxy

Regards,
S.Kingston Smiler.

07/25/2006 03:21 PM 

To

cc

Subject

RE: [Sip] RE: [Sip-implementors] Regarding non-INVITE
servertransaction

Hi,

Manjunath is right.

BR,
Stephen
-----Original Message-----
From: Manjunath Warad [mailto:[email-masked]] 
Sent: Tuesday, July 25, 2006 5:08 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [Sip] RE: [Sip-implementors] Regarding non-INVITE server
transaction

Hi,

Rgds,
Manju

-----Original Message-----

==={{{